Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JMSSessionStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JMSSessionStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JMSSessionStats, Serializable, javax.management.j2ee.statistics.Stats

public final class JMSSessionStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.JMSSessionStats

Represents the statistics provided by a JMS Session

Version:
  $Revision: 1.4 $
Author:
  Marc Fleury, Andreas Schaefer
See Also:
  Serialized Form

Constructor Summary
`JMSSessionStatsImpl(javax.management.j2ee.statistics.JMSProducerStats[] pProducers, javax.management.j2ee.statistics.JMSConsumerStats[] pConsumers, javax.management.j2ee.statistics.CountStatistic pMessageCount, javax.management.j2ee.statistics.CountStatistic pPendingMessageCount, javax.management.j2ee.statistics.CountStatistic pExpiredMessageCount, javax.management.j2ee.statistics.TimeStatistic pMessageWaitTime, javax.management.j2ee.statistics.CountStatistic pDurableSubscriptionCount)`

Method Summary
`javax.management.j2ee.statistics.JMSConsumerStats[]` | `getConsumers()` Returns an array of JMSConsumerStats that provide statistics about the message consumers associated with the referencing JMS session statistics.
`javax.management.j2ee.statistics.CountStatistic` | `getDurableSubscriptionCount()` Number of durable subscriptions.
`javax.management.j2ee.statistics.CountStatistic` | `getExpiredMessageCount()` Number of expired messages.
`javax.management.j2ee.statistics.CountStatistic` | `getMessageCount()` Number of messages exchanged.
`javax.management.j2ee.statistics.TimeStatistic` | `getMessageWaitTime()` Time spent by a message before being delivered.
`javax.management.j2ee.statistics.CountStatistic` | `getPendingMessageCount()` Number of pending messages.
`javax.management.j2ee.statistics.JMSProducerStats[]` | `getProducers()` Returns an array of JMSProducerStats that provide statistics about the message producers associated with the referencing JMS session statistics.

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSSessionStatsImpl

    public JMSSessionStatsImpl(javax.management.j2ee.statistics.JMSProducerStats[] pProducers,
                               javax.management.j2ee.statistics.JMSConsumerStats[] pConsumers,
                               javax.management.j2ee.statistics.CountStatistic pMessageCount,
                               javax.management.j2ee.statistics.CountStatistic pPendingMessageCount,
                               javax.management.j2ee.statistics.CountStatistic pExpiredMessageCount,
                               javax.management.j2ee.statistics.TimeStatistic pMessageWaitTime,
                               javax.management.j2ee.statistics.CountStatistic pDurableSubscriptionCount)

Method Detail

### getProducers

    public javax.management.j2ee.statistics.JMSProducerStats[] getProducers()

  Description copied from interface: `javax.management.j2ee.statistics.JMSSessionStats`
  Returns an array of JMSProducerStats that provide statistics about the message producers associated with the referencing JMS session statistics.

  Specified by:
    `getProducers` in interface `javax.management.j2ee.statistics.JMSSessionStats`

### getConsumers

    public javax.management.j2ee.statistics.JMSConsumerStats[] getConsumers()

  Description copied from interface: `javax.management.j2ee.statistics.JMSSessionStats`
  Returns an array of JMSConsumerStats that provide statistics about the message consumers associated with the referencing JMS session statistics.

  Specified by:
    `getConsumers` in interface `javax.management.j2ee.statistics.JMSSessionStats`

### getMessageCount

    public javax.management.j2ee.statistics.CountStatistic getMessageCount()

  Description copied from interface: `javax.management.j2ee.statistics.JMSSessionStats`
  Number of messages exchanged.

  Specified by:
    `getMessageCount` in interface `javax.management.j2ee.statistics.JMSSessionStats`

### getPendingMessageCount

    public javax.management.j2ee.statistics.CountStatistic getPendingMessageCount()

  Description copied from interface: `javax.management.j2ee.statistics.JMSSessionStats`
  Number of pending messages.

  Specified by:
    `getPendingMessageCount` in interface `javax.management.j2ee.statistics.JMSSessionStats`

### getExpiredMessageCount

    public javax.management.j2ee.statistics.CountStatistic getExpiredMessageCount()

  Description copied from interface: `javax.management.j2ee.statistics.JMSSessionStats`
  Number of expired messages.

  Specified by:
    `getExpiredMessageCount` in interface `javax.management.j2ee.statistics.JMSSessionStats`

### getMessageWaitTime

    public javax.management.j2ee.statistics.TimeStatistic getMessageWaitTime()

  Description copied from interface: `javax.management.j2ee.statistics.JMSSessionStats`
  Time spent by a message before being delivered.

  Specified by:
    `getMessageWaitTime` in interface `javax.management.j2ee.statistics.JMSSessionStats`

### getDurableSubscriptionCount

    public javax.management.j2ee.statistics.CountStatistic getDurableSubscriptionCount()

  Description copied from interface: `javax.management.j2ee.statistics.JMSSessionStats`
  Number of durable subscriptions.

  Specified by:
    `getDurableSubscriptionCount` in interface `javax.management.j2ee.statistics.JMSSessionStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.